#!/bin/sh

. install2-init-functions

sed -i -e 's/^id:.:initdefault:/id:5:initdefault:/' \
	-e 's|^1.*mingetty.*tty|#&|' $destdir/etc/inittab

new_common='acpid
alteratord
bind
consolesaver
fbsetfont
keytable
klogd
local
mdadm
messagebus
network
publish-acc-to-console
random
slapd
splash
sysfs
syslogd
udevd
udevd-final
httpd2'

new_3="ahttpd
anacron
arpwatch
avahi-daemon
crond
cups
gssd
haldaemon
idmapd
krb5kdc
kvm
libvirtd
netfs
nfs
nfslock
ntpd
portmap
postfix
slapd
smb
sshd
vz
xinetd
spamd
$new_common"

new_5="ahttpd-firsttime
$new_common"

old="$(find $destdir/etc/rc.d/rc[35].d/ -name 'S[0-9][0-9]?*' -printf '%f\n' |
	cut -b4- |sort -u)"

for s in $old; do
	printf '%s\n' "$new_3" |fgrep -qsx "$s" ||
		exec_chroot chkconfig --level 3 $s off
	printf '%s\n' "$new_5" |fgrep -qsx "$s" ||
		exec_chroot chkconfig --level 5 $s off
done

for s in $new_3; do
	printf '%s\n' "$old" |fgrep -qsx "$s" ||
		exec_chroot chkconfig --level 3 $s on
done

for s in $new_5; do
	printf '%s\n' "$old" |fgrep -qsx "$s" ||
		exec_chroot chkconfig --level 5 $s on
done

exit 0
